DescribePrivateZones

1. API Description

This API (DescribePrivateZones) is used to Query the list of DNS Zones.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneIds

No

Array of String

Filter by the list of DNS Zone IDs.

Up to 100.

vpcIds

No

Array of String

Filter by VPC IDs associated with the DNS Zone.

Up to 100.

zoneName

No

String

Filter by the DNS Zone name.

resourceGroupId

No

String

Filter by resource group ID.

pageSize

No

Integer

The returned page size. Default value: 20; Maximum value: 1000.

Value range: [1, 1000]

pageNum

No

Integer

The number of pages returned.

Value range: [1, +)

Default value: 1

tagKeys

No

Array of String

Search by tag keys.

You can query up to 20 tag keys in each request.

tags

No

Array of Tag

Search by tag.

You can query up to 20 tags in each request.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

totalCount

Integer

The total number of DNS Zones that meet the filtering conditions.

dataSet

Array of PrivateZone

Returned list data of the DNS Zones.

4. Code Example

Query the list of DNS Zones.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated